Package org.bukkit.material

# Class Cake

java.lang.Object
org.bukkit.material.MaterialData
org.bukkit.material.Cake

All Implemented Interfaces:
  `Cloneable`

@Deprecated public class Cake extends MaterialData
Deprecated.
all usage of MaterialData is deprecated and subject to removal. Use `BlockData`.

## Constructor Summary

Constructors
Constructor
Description
`Cake()`
Deprecated.
`Cake(Material type)`
Deprecated.
`Cake(Material type, byte data)`
Deprecated.
Magic value

## Method Summary

Modifier and Type
Method
Description
`Cake`
`clone()`
Deprecated.
`int`
`getSlicesEaten()`
Deprecated.
Gets the number of slices eaten from this cake
`int`
`getSlicesRemaining()`
Deprecated.
Gets the number of slices remaining on this cake
`void`
`setSlicesEaten(int n)`
Deprecated.
Sets the number of slices eaten from this cake
`void`
`setSlicesRemaining(int n)`
Deprecated.
Sets the number of slices remaining on this cake
`String`
`toString()`
Deprecated.

### Methods inherited from class org.bukkit.material.MaterialData

`equals, getData, getItemType, hashCode, setData, toItemStack, toItemStack`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### Cake

public Cake()
Deprecated.

### Cake

public Cake(Material type)
Deprecated.

### Cake

@Deprecated public Cake(Material type, byte data)
Deprecated.
Magic value

Parameters:
  `type` - the type
  `data` - the raw data value

## Method Details

### getSlicesEaten

public int getSlicesEaten()
Deprecated.
Gets the number of slices eaten from this cake

Returns:
  The number of slices eaten

### getSlicesRemaining

public int getSlicesRemaining()
Deprecated.
Gets the number of slices remaining on this cake

Returns:
  The number of slices remaining

### setSlicesEaten

public void setSlicesEaten(int n)
Deprecated.
Sets the number of slices eaten from this cake

Parameters:
  `n` - The number of slices eaten

### setSlicesRemaining

public void setSlicesRemaining(int n)
Deprecated.
Sets the number of slices remaining on this cake

Parameters:
  `n` - The number of slices remaining

### toString

public String toString()
Deprecated.

Overrides:
  `toString` in class `MaterialData`

### clone

public Cake clone()
Deprecated.

Overrides:
  `clone` in class `MaterialData`